=== debian/changelog ===
ignition-common (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 0.1.0
    (Closes: #832806)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Feb 2018 16:10:10 +0000
