=== debian/control ===
Source: ignition-common
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               libgtest-dev,
               libfreeimage-dev,
               libignition-cmake-dev,
               libignition-math4-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libavdevice-dev,
               libswscale-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-common.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ignition-common.git
Homepage: http://ignitionrobotics.org/libraries/common

Package: libignition-common
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Shared library
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package gathers the shared library

Package: libignition-common-dev
Architecture: any
Section: libdevel
Depends: libfreeimage-dev,
         libignition-cmake-dev,
         libignition-math4-dev,
         libtinyxml2-dev,
         uuid-dev,
         libgts-dev,
         libavformat-dev,
         libavcodec-dev,
         libavdevice-dev,
         libswscale-dev,
         libignition-common (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Dev files
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package contains development files (headers, shared library
 symbolic link and cmake file).
