=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
BUILDHOME = $(CURDIR)/debian/build

.PHONY: override_dh_auto_configure \
        override_dh_auto_test \
        override_dh_clean

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_CFLAGS:BOOL=False \
		-DUSE_EXTERNAL_TINYXML2:BOOL=True \
                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
                -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) dh_auto_test --no-parallel
endif

%:
	dh $@ --buildsystem=cmake
