## ignition-common 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common1 VERSION 1.0.1)
+project(ignition-common1 VERSION 1.1.1)
 
 #============================================================================
 # Find ignition-cmake
