=== debian/changelog ===
ignition-common (1.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:21 +0100

ignition-common (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Remove some cmake options that were not used in source code

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 10:55:15 +0000
