=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libavcodec-dev,
                libavdevice-dev,
                libswscale-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ignition-common.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ignition-common.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
+Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
 Homepage: http://ignitionrobotics.org/libraries/common
 
 Package: libignition-common
