=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-                -DUSE_HOST_CFLAGS:BOOL=False \
-		-DUSE_EXTERNAL_TINYXML2:BOOL=True \
-                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
-                -DCMAKE_BUILD_TYPE=RelWithDebInfo
+	    -DUSE_EXTERNAL_TINYXML2:BOOL=True
 
 override_dh_clean:
 	dh_clean
