=== test/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 add_subdirectory(integration)
 add_subdirectory(performance)
 add_subdirectory(regression)
-add_subdirectory(util)
+add_subdirectory(plugins)
 add_subdirectory(static_assertions)
 
 configure_file(test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)
