=== av/include/ignition/common/CMakeLists.txt ===
ign_install_all_headers(COMPONENT av)
