=== debian/changelog ===
ignition-common (3.5.0+dfsg1-5) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * debian/rules: Disable fixfilepath feature, as it triggers build failures
    when enabled.

  [ Jochen Sprickerhof ]
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jan 2021 09:55:45 +0100

ignition-common (3.5.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency.
    Thanks to Silvio Traversaro

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Aug 2020 15:54:26 +0200

ignition-common (3.5.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Make breaks versioned, thanks elbrus

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 29 Apr 2020 22:40:42 +0200

ignition-common (3.5.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Remove copyright of excluded file
  * Add breaks for old ignition-fuel-tools
  * Fix d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Apr 2020 20:53:52 +0200

ignition-common (3.5.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Switch to libtinyobjloader-dev (Closes: #958328)
  * New upstream version 3.5.0+dfsg1

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Apr 2020 19:39:25 +0200

ignition-common (3.5.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix VCs URLs

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Apr 2020 10:01:01 +0200

ignition-common (3.5.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:20:15 +0200

ignition-common (3.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:34:15 +0200

ignition-common (3.5.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  [ Jose Luis Rivero ]
  * Update watch
  * Update compat, standards and package names
  * Remove patch merged upstream
  * Update patch
  * Add repack to watch
  * Update excludes
  * New upstream version 3.3.0+dfsg
  * Update changelog
  * Fix pkg-config name
  * Split libraries
  * Fix package name
  * Fix conflicts
  * Add overrides

  [ Jochen Sprickerhof ]
  * Update watch file
  * Update File-Excluded
  * New upstream version 3.5.0+dfsg
  * Update copyright
  * Update and simplify package names (Soname bump)
  * Rebase and update patches
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 18:24:48 +0200

ignition-common (3.3.0+dfsg-1) unstable; urgency=medium

  * Update watch, add repack to watch
  * Update compat and standards
  * Rename library package name to ignition-common3
  * Remove patch merged upstream
  * Update excludes
  * New upstream version 3.3.0+dfsg
    (Closes: #948537)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Feb 2020 21:52:19 +0000
