=== debian/control ===
Source: ignition-common
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               libgtest-dev,
               libfreeimage-dev,
               libignition-cmake-dev (>= 2),
               libignition-math-dev (>= 6),
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libavdevice-dev,
               libswscale-dev,
               libtinyobjloader-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
Homepage: https://ignitionrobotics.org/libs/common

Package: libignition-common-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libignition-common3-3 (= ${binary:Version}),
         libignition-common3-av3 (= ${binary:Version}),
         libignition-common3-events3 (= ${binary:Version}),
         libignition-common3-graphics3 (= ${binary:Version}),
         libignition-common3-profiler3 (= ${binary:Version}),
         uuid-dev,
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libtinyobjloader-dev,
         libignition-cmake-dev (>= 2),
Breaks: libignition-fuel-tools1-dev (<< 4)
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Metapackage
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.

Package: libignition-common3-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Shared library
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package gathers the shared library

Package: libignition-common3-av3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library

Package: libignition-common3-events3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Events libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Events component of the library

Package: libignition-common3-graphics3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Graphics libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Graphics component of the library

Package: libignition-common3-profiler3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Profiler libs
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Profiler component of the library
