=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow reproducible=-fixfilepath
BUILDHOME = $(CURDIR)/debian/build

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_SSE_FLAGS:BOOL=False \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) dh_auto_test --no-parallel
endif

%:
	dh $@
