=== debian/tests/control ===
Tests: build
Depends: libignition-common-dev, pkg-config, build-essential
